Bug 1298604 - Bluez package requires Gnome to be installed. In IoT use cases Gnome will not be installed. [NEEDINFO]
Bluez package requires Gnome to be installed. In IoT use cases Gnome will n...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-bluetooth (Show other bugs)
7.2
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Bastien Nocera
Desktop QE
:
Depends On:
Blocks: 1313485 1296659
  Show dependency treegraph
 
Reported: 2016-01-14 09:27 EST by James Kirkland
Modified: 2016-03-03 13:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-03 13:53:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bnocera: needinfo? (jkirklan)


Attachments (Terms of Use)

  None (edit)
Description James Kirkland 2016-01-14 09:27:24 EST
Description of problem:
Bluez package requires Gnome to be installed.   In IoT use cases Gnome will not be installed.   We need to remove that dependency.  

Version-Release number of selected component (if applicable):


How reproducible:
Try to install bluez.  Tries to pull in Gnome to meet dependency

Steps to Reproduce:
1.yum install bluez
2.
3.

Actual results:
Huge number of packages installed for one package.  ;-)  In IoT the gateways aren't running X.  

Expected results:


Additional info:
Comment 2 Bastien Nocera 2016-02-26 08:07:46 EST
(In reply to James Kirkland from comment #0)
> Description of problem:
> Bluez package requires Gnome to be installed.   In IoT use cases Gnome will
> not be installed.   We need to remove that dependency.  

I don't see anything that would cause bluez to drag in GNOME. What's the dependency tree when you install bluez?

Note You need to log in before you can comment on or make changes to this bug.